Subject: bug#12000: 24.1.50; do not hard-code `bold' font for help output

From: Drew Adams <[email-masked]>
Date: Mon, 10 Feb 2014 14:44:37 -0800 (PST)

> > 2. The screenshot I sent was actually from Emacs 23.3.  But the
> > problem has not changed for Emacs 24 (hard-coded face `bold' remains).
> >
> > The only difference is that now face `button' inherits from face
> > `link', so the appearance is a bit different (blue, not black).
> 
> If you have a font installed that has an ugly/unreadable bold
> variant, the fix here is to install a better font.  Closing.

No.  The bug, as stated in the subject line and the bug report,
is hard-coding `bold'.

The fix is to stop such hard-coding.  Reopening.